package com.qmth.qrzk.repository.user.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.qmth.qrzk.repository.task.PaperTask;

public class TeacherAssessment {
	
	private Integer id;
	private User teacher;
	private Integer teacherId;
	private PaperTask task;
	private Integer taskId;
	private Double score;
	private String remark;
	private User createdBy;
	private Integer createById;
	private User updatedBy;
	private Integer updateById;
	private Date createdTime;
	private Date updatedTime;
	
	private List<TeacherAssessmentDetail> details = new ArrayList<TeacherAssessmentDetail>();
	
	private String guid;
	
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
	
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getTeacherId() {
		return teacherId;
	}
	public void setTeacherId(Integer teacherId) {
		this.teacherId = teacherId;
	}
	public Integer getTaskId() {
		return taskId;
	}
	public void setTaskId(Integer taskId) {
		this.taskId = taskId;
	}
	public Integer getCreateById() {
		return createById;
	}
	public void setCreateById(Integer createById) {
		this.createById = createById;
	}
	public Integer getUpdateById() {
		return updateById;
	}
	public void setUpdateById(Integer updateById) {
		this.updateById = updateById;
	}
	public User getTeacher() {
		return teacher;
	}
	public void setTeacher(User teacher) {
		this.teacher = teacher;
	}
	public PaperTask getTask() {
		return task;
	}
	public void setTask(PaperTask task) {
		this.task = task;
	}
	
	public List<TeacherAssessmentDetail> getDetails() {
		return details;
	}
	public void setDetails(List<TeacherAssessmentDetail> details) {
		this.details = details;
	}
	public Double getScore() {
		return score;
	}
	public void setScore(Double score) {
		this.score = score;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public User getCreatedBy() {
		return createdBy;
	}
	public void setCreatedBy(User createdBy) {
		this.createdBy = createdBy;
	}
	public User getUpdatedBy() {
		return updatedBy;
	}
	public void setUpdatedBy(User updatedBy) {
		this.updatedBy = updatedBy;
	}
	public Date getCreatedTime() {
		return createdTime;
	}
	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}
	public Date getUpdatedTime() {
		return updatedTime;
	}
	public void setUpdatedTime(Date updatedTime) {
		this.updatedTime = updatedTime;
	}
	public TeacherAssessment(User teacher, PaperTask task, Double score,
			User createdBy, User updatedBy,
			List<TeacherAssessmentDetail> details) {
		super();
		this.teacher = teacher;
		this.task = task;
		this.score = score;
		this.createdBy = createdBy;
		this.updatedBy = updatedBy;
		this.details = details;
	}
	public TeacherAssessment() {
		super();
		// TODO Auto-generated constructor stub
	}
	public TeacherAssessment(Integer teacherId, Integer taskId, Double score,
			Integer createById, Integer updateById,
			List<TeacherAssessmentDetail> details) {
		super();
		this.teacherId = teacherId;
		this.taskId = taskId;
		this.score = score;
		this.createById = createById;
		this.updateById = updateById;
		this.details = details;
	}
	
	
}
